<section class="section-container">
    <header>
      <h1>Zenika Q&A</h1>
      <button type="button" id="buttonAdd" [routerLink]="['/questions/form']">
        <!-- <app-button href="/add"> -->
          <lucide-icon button-start name="plus"></lucide-icon>
          Ask Question
        </button>
      </header>
      <div class="questions_container">
        <div class="questions_card" *ngFor="let question of questionService.questions;">
            <app-question [question]="question"></app-question>
            <button type="button" id="buttonDetails" [routerLink]="['/questions', question.questionId]"> details </button>
      </div>
    </div>
  </section>
  